<?php
/*
Plugin Name: Default Forum Topic
Description: This BuddyPress component adds a default forum topic to each group
Version: 1.0
Revision Date: March 8, 2010
Requires at least: WPMU 2.9, BuddyPress 1.2
Tested up to: WPMU 2.9.2, BuddyPress 1.2.1
License: Example: GNU General Public License 2.0 (GPL) http://www.gnu.org/licenses/gpl.html
Author: Peter Anselmo, Studio66
Author URI: http://www.studio66design.com
Site Wide Only: true
*/

define ( 'DEFAULT_FORUM_TOPIC_IS_INSTALLED', 1 );
define ( 'DEFAULT_FORUM_TOPIC_VERSION', '1.0' );


function default_forum_topic_run($forum_id, $group_id) {

	$topic_title = 'Topic Title';
	$topic_text = 'This is the text of the first post.';
	$topic_tags = 'forum,topic';
	$forum_id = $forum_id;

	$topic = groups_new_group_forum_topic($topic_title, $topic_text, $topic_tags, $forum_id );

	//uncomment this line to make the topic a "sticky"
	//bp_forums_sticky_topic( array( 'topic_id' => $topic->topic_id ) );
}
add_action('groups_new_group_forum','default_forum_topic_run',10,2);
